Subject: Re: problems with cygwin
From: "Tarun Sharma" <[email-masked]>
To: "Cygwin List" <[email-masked]>, "Hitanshu Gandhi" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 6 May 2004 08:45:37 +0200

Hi
I have attached the error I am getting.
But I have installed windowmaker. Everything seems to be fine till this
point.But the problem happening when I am running it.
please let me know if these errors helps you
regards
tarun

taruns@CPQ17609137331 ~
$ startx

Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 6.7.0.0-8

Contact: [email-masked]

XWin was started with the following command line:

X :0 -multiwindow -clipboard

_XSERVTransmkdir: Owner of /tmp/.X11-unix should be set to root
winValidateArgs - g_iNumScreens: 1 iMaxConsecutiveScreen: 1
(II) XF86Config is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
winDetectSupportedEngines - Windows NT/2000/XP
winDetectSupportedEngines - DirectDraw installed
winDetectSupportedEngines - DirectDraw4 installed
winDetectSupportedEngines - Returning, supported engines 00000007
winSetEngine - Multi Window or Rootless => ShadowGDI
winAdjustVideoModeShadowGDI - Using Windows display depth of 32 bits per
pixel
winAllocateFBShadowGDI - Creating DIB with width: 1024 height: 734 depth: 32
winFinishScreenInitFB - Masks: 00ff0000 0000ff00 000000ff
winInitVisualsShadowGDI - Masks 00ff0000 0000ff00 000000ff BPRGB 8 d 24 bpp
32
null screen fn ReparentWindow
null screen fn RestackWindow
InitQueue - Calling pthread_mutex_init
InitQueue - pthread_mutex_init returned
InitQueue - Calling pthread_cond_init
InitQueue - pthread_cond_init returned
winInitMultiWindowWM - Hello
winInitMultiWindowWM - Calling pthread_mutex_lock ()
winMultiWindowXMsgProc - Hello
winMultiWindowXMsgProc - Calling pthread_mutex_lock ()
MIT-SHM extension disabled due to lack of kernel support
XFree86-Bigfont extension local-client optimization disabled due to lack of
shar
ed memory support in the kernel
(--) Setting autorepeat to delay=500, rate=31
(--) winConfigKeyboard - Layout: "00020409" (00020409)
(--) Using preset keyboard for "English (USA, International)" (20409), type
"4"
Rules = "xorg" Model = "pc105" Layout = "us_intl" Variant = "(null)" Options
= "
(null)"
Could not init font path element /usr/X11R6/lib/X11/fonts/CID/, removing
from li
st!
winPointerWarpCursor - Discarding first warp: 512 367
winInitMultiWindowWM - pthread_mutex_lock () returned.
winMultiWindowXMsgProc - pthread_mutex_lock () returned.
winMultiWindowXMsgProc - pthread_mutex_unlock () returned.
winMultiWindowXMsgProc - DISPLAY=127.0.0.1:0.0
winInitMultiWindowWM - pthread_mutex_unlock () returned.
winInitMultiWindowWM - DISPLAY=127.0.0.1:0.0
winProcEstablishConnection - Hello
cat: /home/taruns/.Xauthority: No such file or directory
winInitClipboard ()
winProcEstablishConnection - winInitClipboard returned.
winClipboardProc - Hello
DetectUnicodeSupport - Windows NT/2000/XP
winClipboardProc - DISPLAY=127.0.0.1:0.0
winInitMultiWindowWM - XOpenDisplay () returned and successfully opened the
disp
lay.
winMultiWindowXMsgProc - XOpenDisplay () returned and successfully opened
the di
splay.
winClipboardProc - XOpenDisplay () returned and successfully opened the
display.

wmaker fatal error: it seems that there is already a window manager running

waiting for X server to shut down winClipboardProc - Call to select ()
failed: -
1.  Bailing.
winClipboardProc - XDestroyWindow succeeded.

winClipboardIOErrorHandler!

----- Original Message ----- 
From: "Larry Hall" <[email-masked]>
To: "Hitanshu Gandhi" <[email-masked]>; "Tarun Sharma"
<[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, May 06, 2004 4:02 AM
Subject: Re: problems with cygwin

> At 09:26 PM 5/5/2004, you wrote:
> >Hi Tarun,
> >
> >    I havent installed WMaker on CygWin, so wont comment on that. You
> >should've attached a more descriptive log though.
> >
> >1. Cygwin install asks you for install for 'All Users'/ only
> >Administrator. That icon is typically in
> >C:\Documents and Settings\All Users\Start Menu (or similar)
> >
> >2. 'Some of the commands?' Only those packages which you selected have
> >been installed. Install the needed ones. Here is a output from my term:
> >[ H -dash- G On yamuna ~] which more
> >/bin/more
> >[ H -dash- G On yamuna ~] rpm -qf /bin/more
> >util-linux-2.11r-10
> >util-linux-2.11y-9
> >
> >These are the cygwin packages you'd need.
>
>
> Huh?  Those are not Cygwin packages.  There is a 'more' package available
> via 'setup' which provides '/bin/more' for Cygwin if the OP must have
> 'more' in addition to 'less' (which is installed by default).
>
>
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/